package com.mydomain.helloworld.bpm;

import org.jboss.seam.ScopeType;
import org.jboss.seam.annotations.In;
import org.jboss.seam.annotations.Logger;
import org.jboss.seam.annotations.Name;
import org.jboss.seam.annotations.Out;
import org.jboss.seam.annotations.Transition;
import org.jboss.seam.log.Log;

@Name("systemAction")
public class SystemOutAction {
	
    //LAB TIP - retrieve the "greeting" variable and outject(save) it before transitioning
	@In(scope=ScopeType.BUSINESS_PROCESS)
	@Out(scope=ScopeType.BUSINESS_PROCESS)
	String greeting;
	
	@Logger private Log log;
	
    //LAB TIP - transition to the next node, after setting the "greeting" variable
	@Transition("next")
	public void systemOut() {		
		greeting = greeting + "LAB 5 GREETING END\n";
		
		//LAB TIP - Log the greeting to the console, so that we can see the bpm do its thing
		log.info(greeting);
	}
}
